function OUT=RLCjpg (A);
% Computes the RLC words in the JPEG variant, that is:
% number of preceeding zero values, non zero value.
% If the number of preceeding 0 is greater than 16, 
% two RLC words are generated, for instance 
% 17 zeros before 3 --> (15,0) (1,3).
% The block termination is [0 0].
% Special case: when A is uniformely 0, OUT=[0 0]
%
% SYNOPSIS: OUT=RLCjpg (A);
%
% Author: JFB (bercherj@esiee.fr) - 
% Last update: May 2011

A=A(:);
J=find(A~=0);
if isempty(J)
   OUT=[0 0];
else
   dJ=diff(J);
   OUT=[0 A(J(1))];
   for k=1:length(dJ)
   	if dJ(k)>16
   		Nb16=floor((dJ(k)-1)/16);
   		for kk=1:Nb16
   		OUT=[OUT ; [15,0]];
   		end;
   		OUT=[OUT ; [dJ(k)-Nb16*16-1,A(J(k+1))]];
   	else
   		OUT=[OUT ; [dJ(k)-1,A(J(k+1))]];
   	end
   end; 	
   OUT=[OUT ; [0  0]];
end;
  
