function [dec]=bin2dec(bin);
% SYNTAX: [bin]=dec2bin(dec,pmax);
%
% DESCRIPTION: Converts the "vecteur" bin, with binary components
% into a decimal decimal vector. bin is actually a matrix of size
% (M,N), with N the number of bits per component and M the length of 
% the vector.
%
% SEE ALSO: dec2bin
%
% AUTHOR: JFB bercherj@esiee.fr (november 98)


[M N]=size(bin);

for u=1:M
	I=find(fliplr(bin(u,:)==1));
	dec(u,1)=sum(2.^(I-1));
end;
