function y=bstr2idx(x);
% SYNTAX: function y=bstr2idx(x)
%
% DESCRIPTION: Transform bitstrings to indexes
% Let  x  be a bitstring and suppose  x  is the i-th string in
% the list of all bitstrings 0, 1, 00, 01, 10, 11, 000, ...
% Then, bstr2idx(x) = i.  The integer  i  shall be
% called the index of x.
%
% SEE ALSO: prtbstr, idx2bstr
%
% Author: John Kieffer.
% minor modifications and adaptations by JFB (bercherj@esiee.fr) - Nov 2011

N=length(x);
S=1;
for i=1:N;
S=2*S+x(i);
end
y=S-1;




