function [ImgTr] = cod1(IMG,block_size,Q) ;
% SYNTAX: [ImgTr] = cod1(IMG,block_size,Q) ;
%
% DESCRIPTION: Simple coding script for a JPEG-like scheme.
% Q: ponderation matrix.
%
% SEE ALSO: decod1
%
% AUTHOR: JFB (nov 2011) - Last update: nov 2011

NbBlocks=min(size(IMG))/block_size;
IMG=IMG(1:block_size*NbBlocks,1:block_size*NbBlocks) - 128;
[M N]=size(IMG); 
iter=0;

for m=1:block_size:M
   for n=1:block_size:N
      iter=iter+1;
      message=sprintf('Processing block number %d',iter); disp(message);
      Block=IMG(m:m+block_size-1,n:n+block_size-1);
      BlockDCT=dct2d(Block);
      BlockDCT_q=round(BlockDCT./Q);
      ImgTr(m:m+block_size-1,n:n+block_size-1)=BlockDCT_q;
    end;
end;
