function [ImgTr,STAT] = cod_tst(IMG,block_size,Q,STAT) ;
% SYNTAX: [MOT,Compression_ratio,ImgTr,Scale] = cod3(IMG,block_size,Q,STAT) ;
%
% DESCRIPTION: Simple coding script for a JPEG-like scheme.
% Q: ponderation matrix
% ImTr: transformed & 8 bits quantified image
% Sale: scale factors for each block
%
% SEE ALSO: decod2
%
% AUTHOR: JFB (nov 98)

 NbBlocks=min(size(IMG))/block_size;
 IMG=IMG(1:block_size*NbBlocks,1:block_size*NbBlocks) - 128;
 [M N]=size(IMG) ;
 iter=0;
 CodedBlockLength=0;
 MOT=[];
 W=zz(8);

for m=1:block_size:M
   for n=1:block_size:N
      iter=iter+1;
  %    message=sprintf('Processing block number %d',iter); disp(message);
      Block=IMG(m:m+block_size-1,n:n+block_size-1);
      BlockDCT=dct2d(Block);
      BlockDCT_qq=round(BlockDCT./Q);
      ImgTr(m:m+block_size-1,n:n+block_size-1)=BlockDCT_qq;
     % The two following lines are for decoding
     % BlockIDCT=idct2d(Q.*BlockDCT_qq);
     % ImgTr(m:m+block_size-1,n:n+block_size-1)=BlockIDCT;
      [U]=RLCjpg(BlockDCT_qq(W));
      [LL MM]=size(U);

      for nn=1:LL
      [cat,bin]=cat_code(U(nn,:));
%*%           MOT=[MOT idx2bstr(HH(U(nn,1)+1,cat+1)) bin];
%*%           CodedBlockLength=CodedBlockLength + length([idx2bstr(HH(U(nn,1)+1,cat)+1)) bin]);
                STAT(U(nn,1)+1,cat+1) =   STAT(U(nn,1)+1,cat+1) + 1;
           
        end;   

     end;
end;

%*% % Estimation of compression ratio
%*% number_of_bits_comp=CodedBlockLength;
%*% total_nb_bits = block_size*block_size*NbBlocks*NbBlocks*8
%*% Compression_ratio=total_nb_bits/number_of_bits_comp
