function y=codeP(x)
% SYNTAX: function y=codeP(x)
%
% DESCRIPTION: Given a proper Kraft vector x, command y=codeP(x)
% designs a vector y of indices of bitstrings in
% a prefix set having Kraft vector x, and prints this
% prefix set on the screen
%
% Author: John Kieffer.
% minor modifications and adaptations by JFB (bercherj@esiee.fr) - Nov 2011

z=[];
N=length(x);
while N>2
r=[x(1:N-2) x(N)-1];
if r(N-2)==r(N-1)
z=[1 z];
else
z=[0 z];
end
x=sort(r);
N=N-1;
end
n=length(z);
u=[1 1];
v=[1 2];
for i=1:n;
if z(i)==1
u=[u(1:i) u(i+1)+1 u(i+1)+1];
v=[v(1:i) 2*v(i+1)+1 2*v(i+1)+2];
else
t=find(u<u(i+1));
j=length(t);
u=[u(1:j-1) u(j)+1 u(j)+1 u(j+1:i+1)];
v=[v(1:j-1) 2*v(j)+1 2*v(j)+2 v(j+1:i+1)];
end
end
y=v;
prtbstr(y);






