function [OUT]=dct2d(A);
% SYNTAX: function [OUT]=dct2d(A);
%
% DESCRIPTION: DCT2D is the 2D Dicrete Cosine Transform
% It is calculated using the fact that the 2D-DCT is simply
% the succesion of two 1D transformations, applied respectively
% on rows and colums.
% If D is the DCT operator, found for instance as D=dct1d(eye(N)),
% then dct2d(A)= D*A*D'.
%
% SEE ALSO: dct1d, idct1d,  idct2d, fft, ...
%
% Author: JFB (bercherj@esiee.fr) - Nov. 2011 / Jan 1999

OUT=16*dct1d(dct1d(A)')';