function [ImgRec] = decod2(IMG,block_size,Q);
% SYNTAX: [ImgRec] = decod2(IMG,block_size,Q)
%
% DESCRIPTION: Simple decoding script for a JPEG-like scheme.
% Q: ponderation matrix, 
%
% SEE ALSO: cod2
%
% AUTHOR: JFB (nov 98) - Last update: may 2002

NbBlocks=min(size(IMG))/block_size;
[M N]=size(IMG); 
iter=0;

for m=1:block_size:M
   for n=1:block_size:N
      iter=iter+1;
      message=sprintf('Processing block number %d',iter); disp(message);
      Block=IMG(m:m+block_size-1,n:n+block_size-1);
      BlockIDCT=idct2d(Q.*Block);
      ImgRec(m:m+block_size-1,n:n+block_size-1)=BlockIDCT;
    end;
end;

ImgRec=ImgRec+128;