function [OUT]=idct2d(A);
% SYNTAX: function [OUT]=idct2d(A);
%
% DESCRIPTION: IDCT2D is the 2D Inverse Dicrete Cosine Transform
% It is calculated using the fact that the 2D-IDCT is simply
% the succesion of two 1D transformations, applied respectively
% on rows and colums
%
% SEE ALSO: dct1d, idct1d,  dct2d, fft, ...
%
% Author: JFB (bercherj@esiee.fr) - Nov. 2011

OUT=1/16*idct1d(idct1d(A)')';
