function y = inbstr(x)
% SYNTAX: function y = inbstr(x)
%
% DESCRIPTION: Input bitstrings
% Suppose, for example, you want to enter the binary strings
% 01, 101, 1100 in memory.  Create the vector
% x=[0, 1, 2, 1, 0, 1, 2, 1, 1, 0, 0, 2], where the symbol "2"
% is used as a marker indicating where a binary string ends.
% Then, inbstr(x) is a vector whose components are
% the indices of the strings 01, 101, 1100.
%
% SEE ALSO: prtbstr, bstr2idx, idx2bstr
%
% Author: John Kieffer.
% minor modifications and adaptations by JFB (bercherj@esiee.fr) - Nov 2011

N=length(x);
j=1;
while N > 0
S=1;
i=1;
while S < 2
i=i+1;
S=x(i);
end
z=x(1:i-1);
y(j)=bstr2idx(z);
x=x(i+1:N);
N=length(x);
j=j+1;
end;





