function [MSB]=msb(dec,pmax);
% SYNTAX: [MSB]=msb(dec,pmax);
%
% DESCRIPTION: Finds the most significant bit MSB of the 
% binary representation of a number dec, using pmax bits
% pmax is optional (pmax=16 by default). 
%
% AUTHOR: JFB (May 2011)

if nargin==1
	pmax=16;
end;

R=dec;
msb_found=0;

I=(floor(R/2^(pmax-1)));
    if I>1 error(['The specified (or default) number of bits pmax=' num2str(pmax) ' is not sufficient for representing ' num2str(dec(m,n)) ]); end
	p=pmax;
    while ~msb_found
		I=(floor(R/2^p));
        msb_found=msb_found|I;
        if msb_found
            MSB=p;
        end
        p=p-1;
	end;