% stdQ - return the JPEG luminance quantizing matrix
%
% SYNOPSIS
%	jpeg()
%
% DESCRIPTION
%	stdQ returns the 8x8 JPEG luminance matrix; e.g., see
%	Pennebaker and Mitchell, "JPEG Still Image Data Compression 
%	Standard", Van Nostrand Reinhold, 1992.

% Copyright (C) 1995-1997 Darrel Hankerson and Greg A. Harris
%
% This file is part of the JPEGtool collection of scripts for Octave
% and Matlab; see http://www.dms.auburn.edu/compression
%
% The JPEGtool collection is free software; you can redistribute it
% and/or modify it under the terms of the GNU General Public License
% as published by the Free Software Foundation; either version 2, or
% (at your option) any later version.
%
% The collection is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this package; see the file COPYING.  If not, write to the
% Free Software Foundation, 59 Temple Place - Suite 330, Boston, MA
% 02111-1307, USA.

function Q = stdQ()

Q = [16 11 10 16  24  40  51  61
     12 12 14 19  26  58  60  55
     14 13 16 24  40  57  69  56
     14 17 22 29  51  87  80  62
     18 22 37 56  68 109 103  77
     24 35 55 64  81 104 113  92
     49 64 78 87 103 121 120 101
     72 92 95 98 112 100 103  99];
