function [Z]=zz(N);
% Gives a vector of index Z such that A(Z) is the vector of elements
% of A read in zigzag order.
%
% SYNTAX: function [Z]=zz(N);
% 
% Author: JFB (bercherj@esiee.fr) - Nov 2011
% [Adapted from zigzag.m from the JPEGtool]
%
if ~exist('N')
   M=8; N=8;
else
   M=N; 
   if ((N>200) | (N <=0)), error(['N=' num2str(N) '!! May be you are joking...']), end;
end;

%
Z = zeros(N*M,1);
u = 0; v = 2; inc = 1;

for n = 1:N*N
  v = v - inc; u = u + inc;
  if (u > N)
    v = v + 2; u = N; inc = -1;
  elseif (v == 0)
    v = 1; inc = -1;
  elseif (v > N)
    u = u + 2; v = N; inc = 1;
  elseif (u == 0)
    u = 1; inc = 1;
  end
  Z(n) = (u-1)*M +v;
end
